| Home · All Classes · All Namespaces · Modules · Functions · Files

# CapabilityChange Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- uint handle
- QString channelType
- uint oldGenericFlags
- uint newGenericFlags
- uint oldTypeSpecificFlags
- uint newTypeSpecificFlags

## Detailed Description

Structure type generated from the specification.

A struct (contact handle, channel type, old generic flags, new generic flags, old type-specific flags, new type-specific flags) representing a change to one of a contact's capabilities, as seen in the CapabilitiesChanged signal on the Capabilities interface.

## Member Data Documentation

uint handle

QString channelType

uint oldGenericFlags

uint newGenericFlags

uint oldTypeSpecificFlags

uint newTypeSpecificFlags